Bug 129546 - continued downloads with timestamping
Summary: continued downloads with timestamping
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: wget   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-10 10:02 UTC by vvs
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 14:48:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description vvs 2004-08-10 10:02:28 UTC
Description of problem:

When using continued download with timestamping enabled (e.g. -cN
options to wget), wget will use "Range" header with HEAD method, while
it really should not.

Version-Release number of selected component (if applicable):

wget-1.9.1-5

How reproducible:

Always

Steps to Reproduce:
1. wget http://www.redhat.com/
2. Run some sniffer (e.g. Ethereal)
3. wget -cN http://www.redhat.com/
  
Actual results:

HEAD with "Range" header set.

Expected results:

HEAD without "Range", then GET with "Range" if needed.

Additional info:

Not all HTTP servers out there support HEAD with "Range" resulting in
failed continued download if you do it manually later. wget would
complain that it's refusing to truncate existing file, while if it was
automatically retried download, it would succeed.


Note You need to log in before you can comment on or make changes to this bug.